local function get_header()
	-- see https://github.com/MaximilianLloyd/ascii.nvim
	return {
	-- The following is a customized version!
	[[                                                                          ]],
	[[                                          	                              ]],
	[[        █ ████████           █████    ███████    ████       ]],
	[[       ███ ██████             █████  █████████  ██████      ]],
	[[      █████ ██████████████████████ ████ ███████████████     ]],
	[[     ██ ██ █████     █████████████ ████ ████████████████    ]],
	[[    ████ ███████████████ █████████ ████ █████ ██████ ████   ]],
	[[   ██████ ██████     ███ █████████ ████ █████  █████  ████  ]],
	[[  ████████ ███████████████████ ████ ████ █████   ████   ████ ]],
	[[                                                                          ]],
	}
end

return {
	{
		'glepnir/dashboard-nvim',
		event = 'VimEnter',
		config = function()
			require('dashboard').setup({

				theme = 'hyper',
				config = {
					header = get_header(),
					week_header = {
						enable = false,
					},
					shortcut = {
						{
							desc = '󰊳 Update',
							group = '@property',
							action = 'Lazy update',
							key = 'u'
						},
						{
							icon = ' ',
							icon_hl = '@variable',
							desc = 'Files',
							group = 'Label',
							action = 'Telescope find_files',
							key = 'f',
						},
						{
							desc = ' Git',
							group = 'Label',
							action = function()
								local Util = require('plex.lib.utils')
								Util.float_term({ 'lazygit'}, { cwd = Util.get_root() })
							end,
							key = 'g',
						},
						{
							desc = ' Neorg',
							group = 'Number',
							action = 'Neorg workspace main',
							key = 'o',
						},
						{
							desc = '󰘁 Sessions',
							group = 'Number',
							action = 'Telescope persisted',
							key = 's',
						},
					},

					project = {
						enable = true,
						limit = 8,
						icon = '',
						label = ' Projects',
						action = 'Telescope find_files cwd='
					},
					packages = { enable = true},
					mru = { limit = 10, icon = '', label = ' Last Edited'},
					-- footer = { 'footer bar foo' },
				},

			})
		end,
		dependencies = { {'nvim-tree/nvim-web-devicons'}}
	}
}
